> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/order-settlement/list-payments-for-settlement.md).

# List payments for settlement

A payment belongs to an order settlement with payment method `INVOICE`. Normally invoices are paid via bank and the payments imported or also registered by hand. But if a customer pays the invoice by another method in the store (e.g. cash or card), it is made as a settlement on a new order without any lines, and then shown as `paymentSettlement`.

Required permissions: PAYMENT,SALES\_ORDER

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"OrderSettlement","description":"OrderSettlement"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"PaymentListResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PaymentResponseSchema"}}}}}}}},"schemas":{"PaymentResponseSchema":{"title":"PaymentResponseSchema","type":"object","required":["paymentUid","amount","paidAt","externalReference","paymentSettlementUid","orderReceiptUid","createdAt","createdBy"],"properties":{"paymentUid":{"$ref":"#/components/schemas/UID"},"amount":{"type":"integer"},"paidAt":{"type":"string","format":"date-time"},"externalReference":{"type":"string"},"paymentSettlementUid":{"$ref":"#/components/schemas/OptionalUID"},"orderReceiptUid":{"$ref":"#/components/schemas/OptionalUID"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid}/payments":{"get":{"summary":"List payments for settlement","tags":["OrderSettlement"],"responses":{"200":{"$ref":"#/components/responses/PaymentListResponse"}},"operationId":"list-settlements-payments","description":"A payment belongs to an order settlement with payment method `INVOICE`.\nNormally invoices are paid via bank and the payments imported or also registered by hand.\nBut if a customer pays the invoice by another method in the store (e.g. cash or card), \nit is made as a settlement on a new order without any lines, and then shown as `paymentSettlement`.\n\nRequired permissions: PAYMENT,SALES_ORDER"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/order-settlement/list-payments-for-settlement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
